<?xml version="1.0" encoding="utf-8"?>
<android.support.constraint.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <TextView
        android:id="@+id/tv_readingMode"
        style="@style/Base.TextAppearance.AppCompat.Body1"
        android:gravity="center_vertical"
        android:layout_width="0dp"
        android:layout_height="48dp"
        android:layout_marginEnd="16dp"
        android:layout_marginStart="16dp"
        android:layout_marginTop="8dp"
        android:text="@string/reader_setting_page_theme"
        android:textColor="#030303"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent" />

    <HorizontalScrollView
        android:id="@+id/scrollView_readingMode"
        android:layout_width="0dp"
        android:layout_height="48dp"
        android:layout_marginTop="8dp"
        android:background="#0000"
        app:layout_constraintTop_toBottomOf="@+id/tv_readingMode"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent" >

        <android.support.constraint.ConstraintLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content">
            <ImageButton
                android:id="@+id/btn_readingMode_day"
                android:layout_width="48dp"
                android:layout_height="48dp"
                android:layout_marginLeft="16dp"
                android:layout_marginStart="16dp"
                android:background="#0000"
                android:contentDescription="@string/reader_setting_page_theme"
                android:src="@drawable/selector_day_mode"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                app:layout_constraintBottom_toBottomOf="parent" />

            <ImageButton
                android:id="@+id/btn_readingMode_whiteLilac"
                android:layout_width="48dp"
                android:layout_height="48dp"
                android:layout_marginLeft="24dp"
                android:layout_marginStart="24dp"
                android:background="#0000"
                android:contentDescription="@string/reader_setting_page_theme"
                android:src="@drawable/selector_white_lilac_mode"
                app:layout_constraintLeft_toRightOf="@+id/btn_readingMode_day"
                app:layout_constraintTop_toTopOf="parent"
                app:layout_constraintBottom_toBottomOf="parent" />

            <ImageButton
                android:id="@+id/btn_readingMode_chromeWhite"
                android:layout_width="48dp"
                android:layout_height="48dp"
                android:layout_marginLeft="24dp"
                android:layout_marginStart="24dp"
                android:background="#0000"
                android:contentDescription="@string/reader_setting_page_theme"
                android:src="@drawable/selector_chrome_white_mode"
                app:layout_constraintLeft_toRightOf="@+id/btn_readingMode_whiteLilac"
                app:layout_constraintTop_toTopOf="parent"
                app:layout_constraintBottom_toBottomOf="parent" />

            <ImageButton
                android:id="@+id/btn_readingMode_etonBlue"
                android:layout_width="48dp"
                android:layout_height="48dp"
                android:layout_marginLeft="24dp"
                android:layout_marginStart="24dp"
                android:background="#0000"
                android:contentDescription="@string/reader_setting_page_theme"
                android:src="@drawable/selector_eton_blue_mode"
                app:layout_constraintLeft_toRightOf="@+id/btn_readingMode_chromeWhite"
                app:layout_constraintTop_toTopOf="parent"
                app:layout_constraintBottom_toBottomOf="parent" />

            <ImageButton
                android:id="@+id/btn_readingMode_night"
                android:layout_width="48dp"
                android:layout_height="48dp"
                android:layout_marginLeft="24dp"
                android:layout_marginStart="24dp"
                android:background="#0000"
                android:contentDescription="@string/reader_setting_page_theme"
                android:src="@drawable/selector_night_mode"
                app:layout_constraintLeft_toRightOf="@+id/btn_readingMode_etonBlue"
                app:layout_constraintTop_toTopOf="parent"
                app:layout_constraintBottom_toBottomOf="parent" />

            <ImageView
                android:id="@+id/iv_readingMode_night_lock"
                android:layout_width="16dp"
                android:layout_height="21dp"
                android:src="@drawable/ic_stat_lock"
                app:layout_constraintBottom_toBottomOf="@+id/btn_readingMode_night"
                app:layout_constraintLeft_toLeftOf="@+id/btn_readingMode_night"
                app:layout_constraintRight_toRightOf="@+id/btn_readingMode_night"
                app:layout_constraintTop_toTopOf="@+id/btn_readingMode_night" />

            <ImageButton
                android:id="@+id/btn_readingMode_soft"
                android:layout_width="48dp"
                android:layout_height="48dp"
                android:layout_marginLeft="24dp"
                android:layout_marginStart="24dp"
                android:layout_marginRight="24dp"
                android:layout_marginEnd="24dp"
                android:background="#0000"
                android:contentDescription="@string/reader_setting_page_theme"
                android:src="@drawable/selector_sepia_mode"
                app:layout_constraintLeft_toRightOf="@+id/btn_readingMode_night"
                app:layout_constraintRight_toRightOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                app:layout_constraintBottom_toBottomOf="parent" />

            <ImageView
                android:id="@+id/iv_readingMode_soft_lock"
                android:layout_width="16dp"
                android:layout_height="21dp"
                android:src="@drawable/ic_stat_lock"
                app:layout_constraintBottom_toBottomOf="@+id/btn_readingMode_soft"
                app:layout_constraintLeft_toLeftOf="@+id/btn_readingMode_soft"
                app:layout_constraintRight_toRightOf="@+id/btn_readingMode_soft"
                app:layout_constraintTop_toTopOf="@+id/btn_readingMode_soft" />
        </android.support.constraint.ConstraintLayout>

    </HorizontalScrollView>

</android.support.constraint.ConstraintLayout>